Config::Model::Role::WarpSubject(3pm)

NAME
Config::Model::Role::WarpSubject - common methods for a warped element

VERSION
version 2.165

SYNOPSIS
 package Config::Model::SomeStuff;
 use Mouse;
 with Config::Model::Role::WarpSubject

DESCRIPTION
This role enable a configuration element to become a warp master, i.e. a parameter whose value can change the features of the configuration tree (by controlling a warped_node) or the feature of various elements like leaf, hash ...

This roles requires "backup" and "allowed_warp_params" methods.

METHODS

  merge_properties
Parameters: "( %arguments_to_merge )"

Returns a hash containing a first level merge of the constructor arguments (returned by "backup" method) and the arguments to merge.

The merge is done only at first level where hash ref are merged (not a deep merge), scalar and arrays are clobbered.

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2005-2022 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999